@import "src/assets/styles/_for-react-components.scss";

$parent: "modal";

@include block($parent) {
  $popup-transition-appearing: 0.3s;

  transform: translate3d(0, 0, 0);
  z-index: calc(var(--header-index, 999) + 1);
  position: fixed;
  top: 0;
  right: 0;
  bottom: auto;
  left: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--color-grey-100);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity $popup-transition-appearing, visibility $popup-transition-appearing;
  transform: translateX(-100vw);

  @include element($parent, 'wrapper') {
    --padding: #{rem(16)};

    width: 100%;
    height: 100%;
    margin: var(--padding) 0;
    background-color: var(--color-grey-100);

    @include min-media('t') {
      --padding: #{rem(32)};
    }

    @include min-media('d') {
      position: relative;
      min-width: rem(973);
      width: 72.2%;
      height: auto;
      padding: var(--padding);
      border-radius: rem(24);
    }
  }

  @include element($parent, 'button-close') {
    position: absolute;
    top: rem(4);
    right: rem(16);

    @include min-media('t') {
      top: rem(12);
      right: rem(32);
    }
  }

  @include element($parent, 'title') {
    padding: rem(19) var(--padding) rem(9);
    border-bottom: 1px solid var(--color-black-100-10);

    @include min-media('t') {
      padding: rem(27) var(--padding) rem(21);
    }

    @include min-media('d') {
      padding: 0;
      margin-bottom: rem(32);
    }
  }

  @include element($parent, 'scroll-wrapper') {
    --scrollMargins: #{rem(26)};

    height: calc(100dvh - #{rem(48)} - var(--scrollMargins));

    @include min-media('t') {
      --scrollMargins: #{rem(69)};
    }

    @include min-media('d') {
      height: auto;
    }
  }

  @include element($parent, 'scroll-margins') {
    height: 100%;
    margin: rem(18) 0;
    padding: 0 var(--padding);

    @include min-media('t') {
      margin: rem(32) 0;
    }

    @include min-media('d') {
      height: auto;
      margin: 0;
      padding: 0;
    }
  }

  @include modifier($parent, "show") {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;

    bottom: 0;
    left: 0;
    transform: translateX(0);
  }

  .os-size-observer + div[data-overlayscrollbars-viewport] {
    display: flex;
    flex-direction: column;
  }
}
